<header>

  <mat-toolbar color="primary">
    <span>
    <button mat-icon-button [routerLink]="['/']">
      <mat-icon>
        home
      </mat-icon>
    </button>
  </span>
  <span *ngIf="isUserAuthenticated()">
    <a mat-flat-button color="primary" [routerLink]="['/blog']">
       Blog
     </a>
   </span>
  <span class = "filler"></span>
  <span *ngIf="!isUserAuthenticated()">
        <a mat-flat-button color="primary" [routerLink]="['/login']">
      Přihlásit se
    </a>
  </span>
  <span *ngIf="isUserAuthenticated()">
    <button mat-icon-button [matMenuTriggerFor]="menu"><mat-icon>account_circle</mat-icon></button>
    <mat-menu #menu="matMenu">
      <h3 mat-flat-button class="lged"><strong>{{loggedUser}}</strong></h3>
      <a mat-flat-button (click)="logout()">Odhlásit se</a>
    </mat-menu>

  </span>
  <span *ngIf="!isUserAuthenticated()">
      <a mat-flat-button color="primary" [routerLink]="['/register']">
        Registrovat
      </a>
  </span>
  </mat-toolbar>
</header>
